# Search for authors The Authors endpoint allows you to fetch authors of content that Constellation has analyzed. Each author includes bio information, summary statistics of posts and account info, and an assessment of their profile. Endpoint: POST /authors/-/search ## Query parameters: - `projectId` (string, required) The ID of the project to find records within ## Request fields (application/json): - `query` (any) - `boolean` (string) A lucene query to filter on author criteria. Provides the same intent as query, but more text-friendly way of specifying the filter. If both boolean and query are provided, they are combined with a logical AND. - `sort` (array) A list of fields to sort by. - `sort.field` (string, required) Enum: "author.displayName", "author.followers", "author.following", "author.isBotLike", "author.matchingPostCount", "author.platform", "author.postCount", "author.profileBio", "author.username", "authorId" - `sort.direction` (string, required) Enum: "ASC", "DESC" - `page` (object) Pagination information. - `page.first` (integer) - `page.after` (string) ## Response 200 fields (application/json): - `authors` (array, required) Example: [{"authorId":"1324f3rcdq34cwq3sxwerc23"}] - `authors.allAuthorText` (string) Search across all author text fields - author.username, author.displayName, author.profileBio. NOTE - Not actually returned as a field in the response, but documented here to facilitate describing the filterability. - `authors.allNarrativeText` (string) Search across all narrative text fields - narrative.title, narrative.compassHeadline, narrative.compassSummary, narrative.compassOneSentence, narrative.executiveBriefing. NOTE - Not actually returned as a field in the response, but documented here to facilitate describing the filterability. - `authors.allPostText` (string) Search across all post text content fields - title, body. NOTE - Not actually returned as a field in the response, but documented here to facilitate describing the filterability. - `authors.accountCreatedAt` (string) The date the the author created their account. (ISO 8601, UTC) - `authors.bioLocation` (string) The location the author put directly in their bio. - `authors.bioUrl` (string) The author's website URL. - `authors.botJustification` (string) Actor intelligence justification for bot classification. - `authors.cohorts` (object) Author classification cohorts. Query as author.cohorts:Label>=0.5 - `authors.displayName` (string) The author's display name. - `authors.followerCohorts` (object) Cohorts that follow the author. - `authors.followers` (number) Number of followers the author has. - `authors.following` (number) Number of accounts the author follows. - `authors.followingCohorts` (object) Cohorts of the authors the author follows. - `authors.inferredLocation` (string) The author's inferred geographic location based on actor intelligence analysis. - `authors.isBotLike` (boolean) Whether the author was analyzed to have bot-like behavior. - `authors.matchingMaxToxicity` (number) Maximum toxicity score of the posts by the author matching the query. - `authors.matchingPostCount` (number) Total number of posts by the author matching the query. - `authors.narrativeCount` (number) Count of distinct narratives the author has posts in. - `authors.platform` (string) The platform the author is on. - `authors.postCount` (number) Total number of posts by the author. - `authors.postHourHistogram` (object) Count of author posts by hour (0-23). Map of hour string to post count. - `authors.profileBio` (string) The author's profile description/bio. - `authors.profileImageUrl` (string) The author's profile image url. - `authors.spoofingLikelihood` (string) Actor intelligence spoofing likelihood. Possible values: Very Low, Low, Medium, High. - `authors.statedLocation` (string) Location of the author based on their stated profile information. - `authors.username` (string) The author's username/handle. - `authors.authorId` (string, required) The unique identifier for the author of the post. Example: "1324f3rcdq34cwq3sxwerc23" - `pageInfo` (object, required) Example: {"hasNextPage":true,"endCursor":"eyJjcmVhdGVkQXQiOiIyMDI1LTA4LTI3VDAxOjAwOjEyLjAwMFoiLCJwb3N0SWQiOiIxOTYwNTA3NjA3Njg2MjA1ODc5In0=","sortKey":"created_at DESC, post_id ASC"} - `pageInfo.hasNextPage` (boolean, required) Example: true - `pageInfo.endCursor` (string) Example: "eyJjcmVhdGVkQXQiOiIyMDI1LTA4LTI3VDAxOjAwOjEyLjAwMFoiLCJwb3N0SWQiOiIxOTYwNTA3NjA3Njg2MjA1ODc5In0=" - `pageInfo.totalCount` (number) - `pageInfo.sortKey` (string) Example: "created_at DESC, post_id ASC" - `searchTerms` (array)